Bug 2258607 - CVE-2023-6395 mock: Privilege escalation for users that can access mock configuration [fedora-all]
Summary: CVE-2023-6395 mock: Privilege escalation for users that can access mock confi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: 39
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Copr Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2023-6395
TreeView+ depends on / blocked
 
Reported: 2024-01-16 13:53 UTC by Marco Benatto
Modified: 2024-02-01 01:23 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-01-25 00:37:39 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Marco Benatto 2024-01-16 13:53:01 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2252206

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Marco Benatto 2024-01-16 13:53:03 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2252206,2258607

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2024-01-16 14:35:45 UTC
FEDORA-EPEL-2024-fbdcbc3c7a has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-fbdcbc3c7a

Comment 3 Fedora Update System 2024-01-16 14:35:57 UTC
FEDORA-EPEL-2024-8a05d0e402 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-8a05d0e402

Comment 4 Fedora Update System 2024-01-16 14:36:14 UTC
FEDORA-2024-f69989e7dd has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2024-f69989e7dd

Comment 5 Fedora Update System 2024-01-16 14:36:43 UTC
FEDORA-EPEL-2024-2ff3ef3512 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-2ff3ef3512

Comment 6 Fedora Update System 2024-01-16 14:36:58 UTC
FEDORA-2024-4bd03c989b has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2024-4bd03c989b

Comment 7 Fedora Update System 2024-01-17 00:44:44 UTC
FEDORA-EPEL-2024-8a05d0e402 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-8a05d0e402

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2024-01-17 01:12:57 UTC
FEDORA-EPEL-2024-2ff3ef3512 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-2ff3ef3512

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2024-01-17 01:19:14 UTC
FEDORA-EPEL-2024-fbdcbc3c7a has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-fbdcbc3c7a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2024-01-17 01:43:48 UTC
FEDORA-2024-4bd03c989b has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-4bd03c989b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-4bd03c989b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2024-01-17 18:06:43 UTC
FEDORA-2024-f69989e7dd has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-f69989e7dd`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-f69989e7dd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2024-01-25 00:37:39 UTC
FEDORA-EPEL-2024-8a05d0e402 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2024-01-25 00:57:03 UTC
FEDORA-EPEL-2024-fbdcbc3c7a has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2024-01-25 00:58:08 UTC
FEDORA-EPEL-2024-2ff3ef3512 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2024-01-30 04:21:49 UTC
FEDORA-2024-f69989e7dd has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2024-02-01 01:23:54 UTC
FEDORA-2024-4bd03c989b has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.